#
# fhist - file history and comparison tools
# Copyright (C) 1998, 2002, 2006, 2008, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# --------------------------------------------------------------------------
msgid   ""
msgstr  "MIME-Version: 1.0\n"
        "Content-Type: text/plain; charset=ascii\n"
        "Content-Transfer-Encoding: 8bit\n"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "bad begin edit line for latest edit"
msgstr  "Bad begin edit line for latest edit"

#
# This fatal error is issued when a mal-formed edit name was given to fhist.
# This is not the same as a non-existant edit name.
#
#       $Name           The offending edit name.
#       $Module         The name of the module.
#
msgid   "bad edit name \"$name\" given for module \"$module\""
msgstr  "Bad edit name \"$name\" given for the \"$module\" module"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "bad edit values in header line"
msgstr  "Bad edit values in header line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "bad header line"
msgstr  "Cannot read header line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "bad line counts in change line"
msgstr  "Bad line counts in change line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
#       $Number         The offending edit number.
#
msgid   "bad number at beginning of edit $number"
msgstr  "Bad number at beginning of edit $number"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
#       $Number         The offending edit number.
#
msgid   "bad numbers in position entry for edit $number"
msgstr  "Bad numbers in position entry for edit $number"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
#       $Number         The offending edit number.
#
msgid   "bad position line for edit $number"
msgstr  "Bad position line for edit $number"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "bad total counts in end of edit line"
msgstr  "Bad total counts in end of edit line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
#       $Number         The offending edit number.
#
msgid   "beginning edit $number without ending previous one"
msgstr  "Beginning edit $number without ending previous one"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "cannot read identification line"
msgstr  "Cannot read identification line"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot specify both -Force_Write and -No_Write"
msgstr  "The -Force_Write and -No_Write options are mutually exclusive"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot specify both -What and -Quick"
msgstr  "The -What and -Quick options are multually exclusive"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot specify module names with -ALL"
msgstr  "Specifying module names and the -ALL option are mutually "
        "exlsusive"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot use -Input with specified action"
msgstr  "Cannot use -Input with specified action"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot use -Name with specified action"
msgstr  "Cannot use -Name with specified action"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot use -Output with specified action"
msgstr  "Cannot use -Output with specified action"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot use -Remark with specified action"
msgstr  "Cannot use -Remark with specified action"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "cannot use -Remark_String with specified action"
msgstr  "Cannot use -Remark_String with specified action"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "change line does nothing"
msgstr  "Change line does nothing"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "change line not expected in edit"
msgstr  "Change line not expected in edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "change line outside of edit"
msgstr  "Change line outside of edit"

#
# This fatal error is issued when mutually exclusive command line options
# are used.
#
msgid   "conflicting options for differences"
msgstr  "Conflicting options for differences"

#
# This information message is issued when a new module is created.
#
#       $Module         The name of the module being created.
#       $File_Name      The name of the input file.
#
msgid   "creating new module \"$module\" from initial file \"$filename\""
msgstr  "Creating a new \"$module\" module from initial file \"$filename\""

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "decreasing line number in change line"
msgstr  "Decreasing line number in change line"

#
# This information message is issued when -update deletes and up-to-date
# source file.
#
#       $File_Name      The name of the deleted file.
#
msgid   "deleted up to date file \"$filename\""
msgstr  "Deleted up to date file \"$filename\""

#
# This question is issued by -prune to confirm that the user does,
# in fact, wish to discard edit history information from the history file.
#
#       $Number1        The first edit involved.
#       $Number2        The last edit involved.
#
msgid   "do you wish to irretrievably discard edit $number1 to $number2?"
msgstr  "Do you wish to irretrievably discard edits $number1 to $number2?"

#
# This question is issued by -prune to confirm that the user does,
# in fact, wish to discard edit history information from the history file.
#
#       $Number1        The first and last edit involved.
#
msgid   "do you wish to irretrievably discard edit $number1?"
msgstr  "Do you wish to irretrievably discard edit $number1?"

#
# This information message is issued by -update when a module is stored
# into history.
#
#       $Module         The name of the module.
#       $Inserts        The number of lines inserted.
#       $Deletes        The number of lines deleted.
#       $Matches        The number of lines matched.
#
msgid   "edit $number of module \"$module\" saved (inserts $inserts, "
        "deletes $deletes, matches $matches)"
msgstr  "Edit $number of the \"$module\" module saved (inserts $inserts "
        "${plural $inserts lines line}, deletes $deletes ${plural "
        "$deletes lines line}, matches $matches ${plural $matches lines "
        "line})"

#
# This fatal error message is issued when the source file (.s) contains
# the wrong edit number as its first line.  It should contain the lastest
# edit number.
#
#       $Number1        The offending edit number.
#       $Number2        The expected edit number.
#       $Module         The name of the module.
#
msgid   "edit $number1 instead of $number2 for module \"$module\""
msgstr  "Edit $number1 instead of $number2 for the \"$module\" module"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "edit command for text has bad count value"
msgstr  "Edit command for text has bad count value"

#
# This fatal error message is issued when -name detects an unacceptable
# proposed edit name.
#
#       $Name           The offending proposed name.
#
msgid   "edit name \"$name\" cannot begin with a digit"
msgstr  "Edit name \"$name\" cannot begin with a digit"

#
# This fatal error message is issued when -name detects an unacceptable
# proposed edit name.
#
#       $Name           The offending proposed name.
#
msgid   "edit name \"$name\" cannot contain plus or minus signs"
msgstr  "Edit name \"$name\" cannot contain plus or minus signs"

#
# This fatal error message is issued when an edit name which does not
# exist is referenced.
#
#       $Name           The offending edit name.
#       $Module         The name of the module.
#
msgid   "edit name \"$name\" does not exist for module \"$name\""
msgstr  "Edit name \"$name\" does not exist for module \"$name\""

#
# This fatal error message is issued when -name detects an unacceptable
# proposed edit name.
#
#       $Name           The offending proposed name.
#
msgid   "edit name \"$name\" is reserved"
msgstr  "Edit name \"$name\" is reserved"

#
# This fatal error is issued when the user specifies an edit number
# which does not exist in the history.
#
#       $Number         The offending edit number.
#       $Module         The name of the module.
#       $First          The first available edit number.
#       $Last           The last available edit number.
#
msgid   "edit number $number for module \"$module\" is not in the range "
        "$first to $last"
msgstr  "Edit number $number for the \"$module\" module is not in the "
        "range $first to $last"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
#       $Number         The number of the offending edit.
#
msgid   "end of edit $number not correct number"
msgstr  "End of edit $number not correct number"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "ending edit not yet started"
msgstr  "Ending edit not yet started"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "error reading edit"
msgstr  "Error reading edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "error reading remark lines for latest edit"
msgstr  "Error reading remark lines for latest edit"

#
# This information message is issued when a file exists and -extract
# -nowrite elects no to overwrite it.
#
#       $File_Name      The name of the output file.
#       $Module         The name of the module.
#
msgid   "existing file \"$filename\" not overwritten by module \"$module\""
msgstr  "Existing file \"$filename\" not overwritten by the \"$module\" "
        "module"

#
# This information message is issued when -extract writes its output file,
# where the output file and the module have the same name.
#
#       $Module         The name of the module.
#       $Number         The edit number being extracted.
#
msgid   "extracting edit $number of module \"$module\""
msgstr  "Extracting edit $number of the \"$module\" module"

#
# This information message is issued when -extract writes its output file,
# where the output file and the module have different names.
#
#       $Module         The name of the module.
#       $Number         The edit number being extracted.
#       $File_Name      The name of the output file.
#
msgid   "extracting edit $number of module \"$module\" to file \"$filename"
        "\""
msgstr  "Extracting edit $number of the \"$module\" module to file "
        "\"$filename\""

#
# This information message is issued when -extract writes its output file,
# where the output file and the module have the same name.
#
#       $Module         The name of the module.
#       $Number         The edit number being extracted.
#
msgid   "extracting initial edit $number of module \"$module\""
msgstr  "Extracting initial edit $number of the \"$module\" module"

#
# This information message is issued when -extract writes its output file,
# where the output file and the module have different names.
#
#       $Module         The name of the module.
#       $Number         The edit number being extracted.
#       $File_Name      The name of the output file.
#
msgid   "extracting initial edit $number of module \"$module\" to file "
        "\"$filename\""
msgstr  "Extracting initial edit $number of the \"$module\" module to "
        "file \"$filename\""

#
# This information message is issued when -extract writes its output file,
# where the output file and the module have the same name.
#
#       $Module         The name of the module.
#       $Number         The edit number being extracted.
#
msgid   "extracting latest edit $number of module \"$module\""
msgstr  "Extracting latest edit $number of the \"$module\" module"

#
# This information message is issued when -extract writes its output file,
# where the output file and the module have different names.
#
#       $Module         The name of the module.
#       $Number         The edit number being extracted.
#       $File_Name      The name of the output file.
#
msgid   "extracting latest edit $number of module \"$module\" to file "
        "\"$filename\""
msgstr  "Extracting latest edit $number of the \"$module\" module to file "
        "\"$filename\""

#
# This information message is issued by -diff when the file is different
# to the head revision.
#
#       $Module         The name of the module.
#       $File_Name      The name of the file.
#
msgid   "file \"$filename\" differs from latest edit of module \"$module\""
msgstr  "File \"$filename\" differs from latest edit of the \"$module\" "
        "module"

#
# This fatal error message is issued by -diff when the file to be
# compared against is not present.  (Errors other than non-existence will
# be reported separately.)
#
#       $Module         The name of the module.
#       $File_Name      The name of the file.
#
msgid   "file \"$filename\" does not exist for module \"$module\""
msgstr  "File \"$filename\" does not exist for the \"$module\" module"

#
# This fatal error message is issued when the history file is found to
# be damaged.
#
#       $File_Name      The name of the offending file.
#
msgid   "file \"$filename\" is damaged"
msgstr  "History file \"$filename\" is damaged"

#
# This information message is issued when the history file is not damaged,
# but the action cannot proceed due to some other error, reported separately.
# Frequently the result of disk-full, or quotas, or similar.
#
#       $File_Name      The name of the offending file.
#
msgid   "file \"$filename\" is not damaged"
msgstr  "history file \"$filename\" is probably not damaged, try again "
        "later"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "file line not expected in edit"
msgstr  "File line not expected in edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "file line not inside edit"
msgstr  "File line not inside edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "header line has wrong length"
msgstr  "Header line has wrong length"

#
# This fatal error message is issued when a file is given, rather than
# a directory, when the -all option is specified.
#
msgid   "input name must be a directory for -ALL"
msgstr  "Input name must be a directory for -ALL"

#
# This fatal error message is issued when a file is given, rather than
# a directory, when multiple modules are named.
#
msgid   "input name must be a directory for multiple modules"
msgstr  "Input name must be a directory for multiple modules"

#
# This information message is issued when a  new edit is remembered in
# a module history file.
#
#       $Module         The name of the module.
#       $File_Name      The name of the input file.
#
msgid   "installing \"$filename\" as edit $number of module \"$module\""
msgstr  "Installing \"$filename\" as edit $number of the \"$module\" "
        "module"

#
# This information message is issued when a name is bound to an edit of
# a module.
#
#       $Module         The name of the module.
#       $Number         The number of the edit being named.
#       $Name           The new edit name.
#
msgid   "latest edit $number of module \"$module\" being named \"$name\""
msgstr  "Latest edit $number of the \"$module\" module being named \"$name"
        "\""

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "missing file number in file line"
msgstr  "Missing file number in file line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "missing line number in change line"
msgstr  "Missing line number in change line"

#
# This error message is issued when a module was requested to be created,
# but that module already existed.
#
#       $Module         The name of the module.
#       $File_Name      The name of the offending file.
#
msgid   "module \"$module\" already exists as \"$filename\""
msgstr  "the \"$module\" module already exists as \"$filename\", module "
        "not created"

#
# This information message is issued when a module does not need to
# be updated.
#
msgid   "module \"$module\" does not need updating"
msgstr  "the \"$module\" module does not need to be updated."

#
# This fatal error message is issued when an inappropriate module name
# is proposed.
#
#       $Module         The offending module name.
#
msgid   "module name \"$module\" cannot contain path separators"
msgstr  "Module name \"$module\" cannot contain path separators"

#
# This fatal error message is issued when an inappropriate module name
# is proposed.
#
#       $Module         The offending module name.
#
msgid   "module name \"$module\" is too long"
msgstr  "Module name \"$module\" is too long"

#
# Thsi fatal error message is issued when multually exclusive command
# line options are specified.
#
msgid   "multiple actions specified"
msgstr  "Multiple actions specified"

#
# This informational message is issued when a file file update requires
# no action, as the file is the same as the latest edit of the module.
#
msgid   "no action taken"
msgstr  "No action taken"

#
# This fatal error message is issued when the command line does not
# follow the -path option with a directory name.
#
msgid   "no directory path supplied"
msgstr  "No directory path supplied"

#
# This fatal error message is issued when the command line does not
# follow the -edit option with an edit number.
#
msgid   "no edit name supplied"
msgstr  "No edit name supplied"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no edit number at end of edit"
msgstr  "No edit number at end of edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no edit number in position entry"
msgstr  "No edit number in position entry"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no edit number in start of position table"
msgstr  "No edit number in start of position table"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no edit position"
msgstr  "No edit position"

#
# This information message is issued when -prune does not need to do
# anything to the module history.
#
#       $Module         The name of the module.
#
msgid   "no edits pruned from module \"$module\""
msgstr  "No edits pruned from the \"$module\" module"

#
# This fatal error message is issued when the command line does not
# follow the -input option with a file name.
#
msgid   "no input file supplied"
msgstr  "no input file specified"

#
# This fatal error message is issued when the command line does not
# specify a module name.
#
msgid   "no module name specified"
msgstr  "No module name specified"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no number in begin edit"
msgstr  "No number in begin edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no number in first line"
msgstr  "no number in first line"

#
# This fatal error message is issued when the command line does not
# follow the -output option with a file name.
#
msgid   "no output file supplied"
msgstr  "No output file specified"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "no position in end of file line"
msgstr  "No position in end of file line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "non-consecutive begin edit"
msgstr  "Non-consecutive begin edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "non-decreasing position table entry"
msgstr  "Non-decreasing position table entry"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "not at beginning of correct edit"
msgstr  "Not at beginning of correct edit"

#
# This fatal error message is issued when a file is given, rather than
# a directory, when the -all option is specified.
#
msgid   "output name must be a directory for -ALL"
msgstr  "Output name must be a directory for -ALL"

#
# This fatal error message is issued when a file is given, rather than
# a directory, when multiple modules are named.
#
msgid   "output name must be a directory for multiple modules"
msgstr  "Output name must be a directory for multiple modules"

#
# This prompt is issued when requesting the user to supply remarks for
# a module history update.
#
#       $Module         The name of the module.
#
msgid   "please type remarks for edit $number of \"$module\" (type \"!h\" "
        "for help)"
msgstr  "Please type remarks for edit $number of \"$module\" (type \"!h\" "
        "for help)"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "position failed to beginning of edit $number"
msgstr  "Position failed to beginning of edit $number"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "position table moved"
msgstr  "The position table moved, the history record has been damaged."

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "premature end of file"
msgstr  "Premature end of file from source file"

#
# This information message is issued when -prune removes edits from
# module history.
#
msgid   "pruned $number edits from module \"$module\""
msgstr  "Pruned $number ${plural $number edits edit} from the \"$module\" "
        "module"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "remark line outside of edit"
msgstr  "Remark line outside of edit"

#
# This prompt is issued during the editing of user-entered remarks, to
# confirm that remarks have been discarded, and new ones should be entered.
#
msgid   "remarks cleared, please type new remarks:"
msgstr  "Remarks cleared, please type new remarks:"

#
# This informational message is issued when the user asks for help while
# editing remarks.
#
#       $Module         The name of the module.  (Optional)
#
msgid   "remarks help here\n"
msgstr  "Remarks are lines of text which describe why an edit was made.\n"
        "The lines of remarks are terminated by typing a single blank "
        "line.\n"
        "Lines beginning with an exclaimation mark are commands, as "
        "follows:\n"
        "\n"
        "!b   Backs up to the previous line so you can retype it.\n"
        "!c   Clears all remarks entered so far so you can retype them.\n"
        "!r   Redisplays all remarks entered so far.\n"
        "!q   Aborts updating of the current module.\n"

#
# This fatal error message is issued when -create discovers that the
# module already exists.
#
#       $Module         The name of the module.
#       $File_Name      The name of the offending file.
#
msgid   "source for module \"$module\" already exists as \"$filename\""
msgstr  "Source for the \"$module\" module already exists as \"$filename"
        "\", module not created"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "text line not within edit"
msgstr  "Text line not within edit"

#
# This fatal error message is issued when an option which requires a
# zero or positive numeric argument is given a negative value.
#
#       $Name           The name of the option.
#       $Number         The offending value.  (Optional)
#
msgid   "the $name option needs a non-negative argument"
msgstr  "the $name option needs a non-negative argument, so $number is "
        "out of range"

#
# This fatal error message is issued when an out-of-range edit number is given.
#
#       $Module         The name of the module
#       $Number1        The first valid edit number.
#       $Number2        The last valid edit number.
#
msgid   "the edit history for module \"$module\" currently has edits "
        "$number1 to $number2."
msgstr  "The edit history for the \"$module\" module currently has edits "
        "$number1 to $number2."

#
# This fatal error message is issued when too many modules are named on
# the command line.
#
msgid   "too many modules specified"
msgstr  "Too many modules specified"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "unexpected end of edit list"
msgstr  "Unexpected end of edit list"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "unexpected end of file line"
msgstr  "Unexpected end of file line"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "unexpected line in edit"
msgstr  "Unexpected line in edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "unexpected line type in latest edit"
msgstr  "Unexpected line type in latest edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "unexpected text line"
msgstr  "Unexpected text line"

#
# This warning message is issued when the user is editing remarks,
# and enters and unknown command.
#
msgid   "unknown command \"$name\" - ignored"
msgstr  "Unknown command \"$name\" - ignored"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "wrong delete count at end of edit"
msgstr  "Wrong delete count at end of edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "wrong edit number at start of position table"
msgstr  "Wrong edit number at start of position table"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "wrong edit number in position entry for edit $number"
msgstr  "Wrong edit number in position entry for edit $number"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "wrong insert count at end of edit"
msgstr  "Wrong insert count at end of edit"

#
# This fatal error message is issued when there is a fault in the format
# of the history file.
#
msgid   "wrong position $number in end of file line"
msgstr  "wrong position $number in end of file line"
# vim: set ts=8 sw=4 et :
